---
search:
  tags:
    - V1
    - GET
seo:
  description: >-
    Fetch Supabase-backed v1 test configs, optionally filtered by… Reference for
    the GET /v1/projects/{projectId}/test-configs endpoint in the Judgeval API.
sidebar:
  label: Fetch test configs
  badge: GET
title: Fetch test configs
type: openapi-operation
---
Fetch Supabase-backed v1 test configs, optionally filtered by dataset.

`GET /v1/projects/{projectId}/test-configs`

**Responses**

- `200` — Response for status 200

Response example, 200:

```json
{
  "test_configs": [
    {
      "id": "string",
      "organization_id": "string",
      "project_id": "string",
      "dataset_id": "string",
      "name": "string",
      "description": "string",
      "created_at": "string",
      "updated_at": "string",
      "user_id": "string",
      "judges": [
        {
          "id": "string",
          "organization_id": "string",
          "project_id": "string",
          "test_config_id": "string",
          "judge_id": "string",
          "created_at": "string",
          "user_id": "string",
          "judge": {
            "id": "string",
            "name": "string",
            "judge_type": "string",
            "score_type": "string"
          }
        }
      ]
    }
  ]
}
```
